Bug 67698 - VIEWING: Implement 'Normal View' that includes the real page numbers in a 'Web Layout'-type view (comment #7)
Summary: VIEWING: Implement 'Normal View' that includes the real page numbers in a 'We...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2013-08-03 06:44 UTC by bugquestcontri
Modified: 2016-10-17 22:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Word 2003 Normal View (76.59 KB, image/png)
2015-03-01 09:16 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-08-03 06:44:48 UTC
Problem description: 
When the web layout view is used, in the bottom left corner the page number and page count is shown as 1/1. Which can be considered as correct. 

However, very often the real figures are needed. Here "real" means the figure which are indicated on the same spot when the Print Layout View is selected. Currently to see these real figures it is always needed to switch between the views. 

Enhancement request
The enhancement should - in the Web Layout view, - show the real number of pages and page count based on the print format selected for the pages. 
Operating System: All
Version: 4.0.4.2 release
Comment 1 Timur 2013-10-09 14:09:26 UTC
Can't second that. 
For example, in MS Word 2013, there are Screen Read Mode, Print Mode and Web Layout. 
Print Mode (like Print Layout in LO) shows number of pages and number of words. Screen Read Mode shows number of screens. Web Layout shows number of words. 
I suggest this be marked as WONT FIX.
Comment 2 bugquestcontri 2013-11-24 13:05:30 UTC
As I don't run MSO anymore I can't compare and comment on MSO Word.

My point is that in Writer selecting "WebLayout" view is the only way to get rid of larger white, textless areas in a writer document 's screen, but have the entire screen to see the text. (Print Layout is important but not when one just needs to write or correct text.)

Therefore it would be good if in the "WebLayout" view the position of the cursor would be shown using the number of pages as if it would be "PrintLayout". Otherwise the writer of the text has no direct information on how the text is. The information "Page 1/1" pages for a document being more than 1 page long is useless.
Comment 3 Joel Madero 2013-12-22 18:47:42 UTC
Requesting expert input on this one - I tend to agree that we shouldn't "fix" this but want a developer to chime in before marking as WONTFIX or even INVALID. By definition if you're in "web view" then there are no pages, it's equivalent to just scrolling on a webpage
Comment 4 Robinson Tryon (qubit) 2014-02-04 13:11:34 UTC
Remove comma from whiteboard.
Comment 5 retired 2015-01-06 10:39:32 UTC
Setting to WONTFIX. If a dev disagrees, please re-open.

Webview is similar to what you would see when you port your file to an html page. And on such a page there are no pages as in a word or writer document (standard view).

Thus, this feature request will probably never get fixed.

I understand your use case bugquestcontri. I love working with the webview as well since I see little benefit of the wasted space in page view. And if you are working on a scientific paper and do not have page number info at all it can be somewhat annoying. But page numbers in webview is just a contradiction.
Comment 6 Yousuf Philips (jay) 2015-01-06 13:05:24 UTC
Remembering back to the old MS Word 2003 days, they had a view called 'Normal' which was the default view and showed the document in a web layout like view of how it would be printed.
Comment 7 bugquestcontri 2015-01-14 10:37:33 UTC
The Normal View of Word 2003 ( this was the last one I used and don't know newer Word versions) is missing in LibO.

It would 
1 - Cut out the the white space at the top and bottom of page, which makes reading and writing easier
2 - Show the line break as it will be printed out
3 - Show the page break with a thin dashes line
4 - Show, at the bottom of the Word window the page number and the number of all pages in the Word file.

This would be great function to increase the efficiency of Writer work.

Asking only for the display of the page number and number of pages was just a minimum request. 

Copy - and if you have an idea improve the Normal View from the old Word would just be great!
Comment 8 Robinson Tryon (qubit) 2015-01-14 12:31:22 UTC
(In reply to bugquestcontri from comment #7)
> The Normal View of Word 2003 ( this was the last one I used and don't know
> newer Word versions) is missing in LibO.

Sounds like a reasonable improvement idea.

Summary -> (change to reflect 'Normal View')
Status -> NEW
Comment 9 Yousuf Philips (jay) 2015-01-14 13:12:34 UTC
(In reply to bugquestcontri from comment #7)
> It would 
> 1 - Cut out the the white space at the top and bottom of page, which makes
> reading and writing easier
> 2 - Show the line break as it will be printed out
> 3 - Show the page break with a thin dashes line
> 4 - Show, at the bottom of the Word window the page number and the number of
> all pages in the Word file.

It would also show footnotes before the page break, similar to how it would be shown when printed.

Here is an example of 'Normal View' with footnotes showing (though the user did disable the top ruler which is on by default and the left toolbar is disabled in this view).

https://community.logos.com/cfs-filesystemfile.ashx/__key/CommunityServer.Discussions.Components.Files/76/58001.capture.png
Comment 10 bugquestcontri 2015-01-16 01:19:58 UTC
@Jay Philips - Thanks for adding the footnote comment. Very important indeed!!!

This "Normal View" (MSO) or "Basic View(?)" (LibO)would be come another very good feature of Writer.
Comment 11 Yousuf Philips (jay) 2015-01-16 20:53:18 UTC
Was trying out Abiword and noticed that they also have 'Normal' view.

http://cn.cbsimg.net/cnwk.1d/i/tr/contentPics/techrepublic_abiword_normal_layout.jpg

(In reply to Jay Philips from comment #9)
> Here is an example of 'Normal View' with footnotes showing (though the user
> did disable the top ruler which is on by default and the left toolbar is
> disabled in this view).

Made a mistake here, it was supposed to be 'left ruler' and not 'left toolbar'. :D

(In reply to bugquestcontri from comment #10)
> @Jay Philips - Thanks for adding the footnote comment. Very important
> indeed!!!

Your welcome. I used to live in this view when i worked with my father who was an author. :D
Comment 12 Yousuf Philips (jay) 2015-03-01 09:16:01 UTC
Created attachment 113791 [details]
Word 2003 Normal View

Seems i was mistaken. :D

In Normal View, footnotes appears in its own section like the attached screenshot. It seems MS Word didnt ditch this type of view as it is still there in Word 2013 but its called draft view now and seems to be limited to just typing text, because if you insert an image, it shifts you back to print layout view.